# Uses of Enum Class
jspecview.common.Annotation.AType

Packages that use Annotation.AType
Package
Description
jspecview.api
jspecview.common
jspecview.dialog
jspecview.source

## Uses of Annotation.AType in jspecview.api

Methods in jspecview.api that return Annotation.AType
Modifier and Type
Method
Description
`Annotation.AType`
AnnotationData.`getAType()`

## Uses of Annotation.AType in jspecview.common

Subclasses with type arguments of type Annotation.AType in jspecview.common
Modifier and Type
Class
Description
`static enum`
`Annotation.AType`
Methods in jspecview.common that return Annotation.AType
Modifier and Type
Method
Description
`Annotation.AType`
MeasurementData.`getAType()`
`static Annotation.AType`
Annotation.AType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Annotation.AType[]`
Annotation.AType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in jspecview.common with parameters of type Annotation.AType
Modifier and Type
Method
Description
`void`
PanelData.`addDialog(int iSpec, Annotation.AType type, AnnotationData dialog)`
`void`
PanelData.`closeAllDialogsExcept(Annotation.AType type)`
`JSVDialog`
JSViewer.`getDialog(Annotation.AType type, Spectrum spec)`
`AnnotationData`
PanelData.`getDialog(Annotation.AType type)`
`boolean`
PanelData.`getShowAnnotation(Annotation.AType type)`
`boolean`
PanelData.`hasCurrentMeasurements(Annotation.AType type)`
`void`
PanelData.`showAnnotation(Annotation.AType type, Boolean tfToggle)`
`JSVDialog`
PanelData.`showDialog(Annotation.AType type)`
Constructors in jspecview.common with parameters of type Annotation.AType
Modifier
Constructor
Description
``
`PeakData(Annotation.AType type, Spectrum spec)`

## Uses of Annotation.AType in jspecview.dialog

Fields in jspecview.dialog declared as Annotation.AType
Modifier and Type
Field
Description
`protected Annotation.AType`
JSVDialog.`type`
Methods in jspecview.dialog that return Annotation.AType
Modifier and Type
Method
Description
`Annotation.AType`
JSVDialog.`getAType()`

## Uses of Annotation.AType in jspecview.source

Methods in jspecview.source with parameters of type Annotation.AType
Modifier and Type
Method
Description
`Object[]`
JDXDataObject.`getDefaultAnnotationInfo(Annotation.AType type)`